<section class="section featuredposts-mod {{vm.classes}}" data-ng-if="vm.featuredPosts && vm.featuredPosts.length > 0">

  <header class="section-header" data-ng-if="blog.title">
    <div data-ng-class="{container: vm.layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <h2 class="section-title" data-ng-bind-html="blog.title|sanitize"></h2>
        </div>
      </div>
    </div>
  </header>

  <div class="section-intro" data-ng-if="blog.intro">
    <div data-ng-class="{container: vm.layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <div data-ng-bind-html="blog.intro|sanitize"></div>
        </div>
      </div>
    </div>
  </div>

  <div class="section-main" data-ng-if="vm.layout != 'full' || (vm.layout == 'full' && !blog.featured)">
    <div data-ng-class="{container: vm.layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <div data-ng-show="vm.loading" class="loader"><img src="apps/uw_theme_conference/assets/dist/img/page-loader.gif" alt="page loader animation"></div>
          <ul class="list-unstyled">
            <li data-ng-repeat="post in vm.featuredPosts">
              <article class="post featured-brief-mod" data-ng-if="$first && blog.featured">
                <div class="background" style="background-image: url({{post.featured_image.self}})"></div>
                <div class="screen"></div>
                <!-- <div class="post-featured-label">Featured</div> -->
                <div class="wrap">
                  <div class="post-header">
                    <date>{{(post.published * 1000) | date: 'longDate'}}</date>
                    <div class="h2"><a href="{{post.alias}}" data-ng-bind-html="post.title|sanitize"></a></div>
                  </div>
                  <footer class="post-footer">
                    <a href="{{post.alias}}">Read More</a>
                  </footer>
                </div>
              </article>
              <article class="post brief-mod" data-ng-class="{'no-highlight': blog.featured, 'has-featured': blog.featured}" data-ng-if="(blog.featured && !$first) || !blog.featured">
                <a data-ng-href="{{post.alias}}">
                  <div class="post-header">
                    <date>{{(post.published * 1000) | date: 'longDate'}}</date>
                    <div class="h2" data-ng-bind-html="post.title | sanitize"></div>
                  </div>
                </a>
              </article>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>

  <div class="section-main" data-ng-if="vm.layout == 'full' && blog.featured">
    <div class="container" data-ng-show="vm.loading">
      <div class="row">
        <div class="col-sm-12">
          <div class="loader"><img src="apps/uw_theme_conference/assets/dist/img/page-loader.gif" alt="page loader animation"></div>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="row positioned-elements">
        <div class="col-sm-6 no-padding-right">
          <div class="post featured-brief-mod full-mod" data-ng-if="vm.featuredPosts.length > 0">
            <div class="background" style="background-image: url({{vm.featuredPosts[0].featured_image.self}})"></div>
            <div class="screen"></div>
            <!-- <div class="post-featured-label">Featured</div> -->
            <div class="wrap">
              <div class="post-header">
                <date>{{(vm.featuredPosts[0].published * 1000)|date: 'longDate'}}</date>
                <div class="h2"><a href="{{vm.featuredPosts[0].alias}}" data-ng-bind-html="vm.featuredPosts[0].title|sanitize"></a></div>
              </div>
              <div class="post-main" data-ng-show="vm.featuredPosts[0].summary">{{vm.featuredPosts[0].summary|strip_html|truncate:true:200}}</div>
              <div class="post-main" data-ng-hide="vm.featuredPosts[0].summary">{{vm.featuredPosts[0].body|strip_html|truncate:true:200}}</div>
              <footer class="post-footer">
                <a href="{{vm.featuredPosts[0].alias}}">Read More</a>
              </footer>
            </div>
          </div>
        </div>
        <div class="col-sm-6 no-padding-left">
          <ul class="list-unstyled">
            <li data-ng-repeat="post in vm.featuredPosts" class="row-{{$index}}">
              <div class="post brief-mod full-mod" data-ng-class="{'no-highlight': blog.featured, 'has-featured-image': (post.featured_image && post.featured_image.self)}" data-ng-if="!$first && $index < 3">
                <a data-ng-href="{{post.alias}}">
                  <div class="wrap">
                    <div class="post-thumbnail">
                      <div class="post-thumbnail-image" style="background-image: url({{post.featured_image.self}})"></div>
                     
                    </div>
                    <div class="post-content">
                      <div class="post-header">
                        <date>{{post.published * 1000|date: 'longDate'}}</date>
                        <div class="h2" data-ng-bind-html="post.title|sanitize"></div>
                      </div>
                      <div class="post-main" data-ng-show="post.summary">{{post.summary|truncate:true:150|strip_html}}</div>
                      <div class="post-main" data-ng-hide="post.summary">{{post.body|truncate:true:150|strip_html}}</div>
                    </div>
                  </div>
                </a>
              </div>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>

  <footer class="section-footer" data-ng-class="{'has-featured': blog.featured}" data-ng-if="blog.button_label">
    <div data-ng-class="{container: vm.layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <a data-ng-href="{{vm.getBlogPage()}}" class="btn btn-lg btn-primary btn-block">{{blog.button_label}}</a>
        </div>
      </div>
    </div>
  </footer>



</section>
